.stand-glow {
    width: 70px;
    height: 70px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ОСНОВНОЙ КРУГ (верхний) */
.stand-glow .main-circle {
    width: 50px;
    height: 50px;
    background: linear-gradient(145deg, #53ba89 0%, #2e5954 100%);
    border-radius: 50%;
    position: relative;
    z-index: 3;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.4s ease;
}



.home .stand-glow::before,
footer .stand-glow::before {
    left: 50%;
}



/* ПОДСТАВКА СНИЗУ (светящаяся!) */
.stand-glow::before {
    content: '';
    position: absolute;
    bottom: -15px;
    left: 60%;
    transform: translateX(-50%);
    width: 60px;
    height: 20px;
    background: linear-gradient(145deg, #86ab9a 0%, #42cab8 100%);
    border-radius: 50%;
    filter: blur(10px);
    z-index: 1;
    /* animation: glowPulse 3s ease-in-out infinite; */
}


.contact-link:hover {
    transform: scale(1.2) translateY(-5px);
}

/* АНИМАЦИЯ СВЕЧЕНИЯ */
/* @keyframes glowPulse {

    0%,
    100% {
        opacity: 0.8;
        transform: translateX(-50%) scale(1);
    }

    50% {
        opacity: 1;
        transform: translateX(-50%) scale(1.1);
    }
} */

@keyframes shadowPulse {

    0%,
    100% {
        opacity: 0.5;
        transform: translateX(-50%) scale(1);
    }

    50% {
        opacity: 0.7;
        transform: translateX(-50%) scale(1.2);
    }
}

/* ИКОНКИ */
.cont_icon {
    position: relative;
    z-index: 4;
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    filter: drop-shadow(0 0 8px rgba(255, 255, 255, 0.7));
}

.cont_icon img {
    height: 24px;
    width: 24px;
}









.contact-menu {
    display: flex;
    gap: 20px;
    flex-direction: column;
    position: absolute;
    right: 0;
    z-index: 1;
    transform: translate(0, 50%);
}

.contact-link {
    text-decoration: none;
    display: block;
    transition: all 0.4s ease;
    opacity: 0;
    transform: translateY(-50px) scale(0.8);
    animation: slideDown 1s ease-out var(--delay, 0.4s) forwards;
}

@keyframes slideDown {
    0% {
        opacity: 0;
        transform: translateY(-50px) scale(0.8);
    }

    70% {
        opacity: 1;
        transform: translateY(10px) scale(1.05);
    }

    100% {
        opacity: 1;
        transform: translateY(0) scale(1);
    }
}





/* плавное покачивание */
.main-circle:hover img {
    animation: shake 0.8s ease-in-out infinite;
}

/* Анимация для телефона (звонок) */
@keyframes shake {

    0%,
    100% {
        transform: translateX(0) rotate(0deg);
    }

    10%,
    30%,
    50%,
    70%,
    90% {
        transform: translateX(-2px) rotate(-2deg);
    }

    20%,
    40%,
    60%,
    80% {
        transform: translateX(2px) rotate(2deg);
    }
}



/* ЭФФЕКТ ПОДЁРГИВАНИЯ ПРИ НАВЕДЕНИИ */
.contact_link:hover img {
    animation: shakePhone 0.8s ease-in-out infinite;
}


/*  - плавное покачивание */
.main-circle:hover img {
    animation: shake 0.8s ease-in-out infinite;
}

/* Анимация для телефона (звонок) */
@keyframes shake {

    0%,
    100% {
        transform: translateX(0) rotate(0deg);
    }

    10%,
    30%,
    50%,
    70%,
    90% {
        transform: translateX(-2px) rotate(-2deg);
    }

    20%,
    40%,
    60%,
    80% {
        transform: translateX(2px) rotate(2deg);
    }
}

.footer .contact-menu {
    flex-direction: row;
    position: relative;
    transform: none;
    flex-wrap: wrap;
    justify-content: center;
}

.footer_cont {
    display: flex;
    gap: 50px;
    align-items: baseline;

}



@media (max-width: 768px) {

    .contact-menu {
        flex-direction: row;
        gap: 0;
        bottom: 70px;
        right: 50%;
        transform: translate(50%, 49%);
    }

    .stand-glow {
        width: 60px;
        height: 60px;
    }

    .stand-glow .main-circle {
        width: 40px;
        height: 40px;
    }

    .stand-glow::before {
        width: 50px;
    }

    .cont_icon img {
        height: 18px;
        width: 18px;
    }

    .footer .contact-menu {
        bottom: 0;
        right: 0;
    }

    .footer .circle-menu {
        width: auto !important;
    }

    .home .contact-menu{
        position: fixed !important;
    }

}

@media (max-width: 600px) {
    .footer_cont {
        flex-direction: column;
    }

    .footer .circle-menu {
        height: auto !important;
    }

    .opd{
        flex-wrap: wrap;
        justify-content: center;
    }
    .footer .contact-menu{
        margin: 0 auto;
    }
}